summaryrefslogtreecommitdiffstats
path: root/development/jython
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2012-12-18 12:35:35 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-18 12:35:51 +0100
commit0ee417e1c75f5a4313cab3dc1c6999ea07053893 (patch)
tree92f1d746a1e88bb3e0b495fe6de9e057967e924b /development/jython
parent3a9f0354bd9ed979eff4f4d132d7d027f54bcb1a (diff)
downloadslackbuilds-0ee417e1c75f5a4313cab3dc1c6999ea07053893.tar.gz
slackbuilds-0ee417e1c75f5a4313cab3dc1c6999ea07053893.tar.xz
development/jython: Added (python for the java platform).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development/jython')
-rw-r--r--development/jython/README8
-rw-r--r--development/jython/jython.SlackBuild63
-rw-r--r--development/jython/jython.info10
-rw-r--r--development/jython/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/development/jython/README b/development/jython/README
new file mode 100644
index 0000000000..87bf4a0cd8
--- /dev/null
+++ b/development/jython/README
@@ -0,0 +1,8 @@
+Jython is an implementation of the Python programming language written
+in Java. Jython programs can use any Java class, and includes almost
+all modules in standard Python.
+
+Jython is able to compile Python source code down to Java bytecodes
+which can then run directly on a JVM; it also includes a set of
+libraries which are used by the compiled Java bytecodes and extra
+support to make it easy to use Java packages from within Jython.
diff --git a/development/jython/jython.SlackBuild b/development/jython/jython.SlackBuild
new file mode 100644
index 0000000000..a74b15dac4
--- /dev/null
+++ b/development/jython/jython.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for jython
+# Copyright 2012 Benjamin Trigona-Harany <bosth@alumni.sfu.ca>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=jython
+VERSION=2.5.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${TMP}/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+java -jar $CWD/${PRGNAM}_installer-$VERSION.jar -s -d $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# set up env vars ourselves instead of using those created by the install script
+sed -i "1i JAVA_HOME=\"$JAVA_HOME/jre\"" bin/$PRGNAM
+sed -i "1i JYTHON_HOME_FALLBACK=\"/usr/share/$PRGNAM\"" bin/$PRGNAM
+sed -i "1i JYTHON_OPTS=\"-Dpython.cachedir=\${HOME}/.cache/jython/\"" bin/$PRGNAM
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/$PRGNAM
+cp bin/$PRGNAM $PKG/usr/bin
+cp -a $PRGNAM.jar CoreExposed.includes registry Lib $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ACKNOWLEDGMENTS Demo Doc LICENSE.* NEWS README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/jython/jython.info b/development/jython/jython.info
new file mode 100644
index 0000000000..41a54e3323
--- /dev/null
+++ b/development/jython/jython.info
@@ -0,0 +1,10 @@
+PRGNAM="jython"
+VERSION="2.5.2"
+HOMEPAGE="http://www.jython.org"
+DOWNLOAD="http://downloads.sourceforge.net/jython/jython_installer-2.5.2.jar"
+MD5SUM="7c7d9abd8985df480edeacd27ed9dcd5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
diff --git a/development/jython/slack-desc b/development/jython/slack-desc
new file mode 100644
index 0000000000..c11fe33b6c
--- /dev/null
+++ b/development/jython/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jython: jython (python for the java platform)
+jython:
+jython: Jython is an implementation of the Python programming language
+jython: written in Java. Jython programs can use any Java class, and includes
+jython: almost all modules in standard Python.
+jython:
+jython: homepage: http://www.jython.org
+jython:
+jython:
+jython:
+jython: